{% extends "bases/auth_modal.html" %}

{% load i18n %}
{% load crispy_forms_tags %}

{% block page_subtitle %}{% translate "Change Password" %}{% endblock %}

{% block breadcrumbs %}
{{ block.super }}
  <li class="breadcrumb-item">{% translate "Change Password" %}</li>
{% endblock %}

{% block inner_content %}
<h1>{% if token_fail %}{% translate "Bad Token" %}{% else %}{% translate "Change Password" %}{% endif %}</h1>

{% if token_fail %}
{% url 'account_reset_password' as passwd_reset_url %}
<p>{% blocktranslate %}The password reset link was invalid, possibly because it has already been used.  Please request a <a href="{{ passwd_reset_url }}">new password reset</a>.{% endblocktranslate %}</p>

{% else %}
{% if form %}
  {% crispy form %}
{% else %}
<p>{% translate 'Your password is now changed.' %}</p>
{% endif %}
{% endif %}

{% endblock %}
